Package org.opensaml.saml.common.messaging.logic

# Class ProxiedRequesterPredicate

java.lang.Object
org.opensaml.saml.common.messaging.logic.ProxiedRequesterPredicate

All Implemented Interfaces:
  `Predicate<MessageContext>`

public class ProxiedRequesterPredicate extends Object implements Predicate<MessageContext>
Predicate that determines whether one of a set of candidates is contained in a a `ProxiedRequesterContext` subcontext.

Since:
  3.4.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Set<String>`
`entityIds`
Set of entityIDs to check for.

## Constructor Summary

Constructors
Constructor
Description
`ProxiedRequesterPredicate(Collection<String> ids)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(MessageContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### entityIds

@Nonnull private final Set<String> entityIds
Set of entityIDs to check for.

## Constructor Details

### ProxiedRequesterPredicate

public ProxiedRequesterPredicate(@Nonnull Collection<String> ids)
Constructor.

Parameters:
  `ids` - the entityIDs to check for

## Method Details

### test

public boolean test(@Nullable MessageContext input)

Specified by:
  `test` in interface `Predicate<MessageContext>`